import type { UnidirectionalTransferDataItem, UnidirectionalTransferKey } from '../transfer';
import type { TransferPanelProps, TransferPanelState } from '../transfer-panel';
export declare const useCheck: (props: TransferPanelProps, panelState: TransferPanelState, getInTreeCheckData: () => Array<UnidirectionalTransferKey>) => {
    checkableData: import("vue").ComputedRef<UnidirectionalTransferDataItem[]>;
    checkedSummary: import("vue").ComputedRef<string>;
    isIndeterminate: import("vue").ComputedRef<boolean>;
    updateAllChecked: () => void;
};
